curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/v1/payouts' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"onBehalfOf": "123",
"amount": 1000,
"source": {
"paymentRail": "stellar",
"currency": "usdc",
"address": "123123"
},
"deductFromBalance": true,
"quoteId": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
"destination": {
"type": "bank",
"currency": "cop",
"details": {
"country": "CO",
"accountType": "savings",
"bankAccountNumber": "1234567890",
"bankCode": "876",
"beneficiary": {
"email": "beneficiary@example.com",
"documentType": "CC",
"documentNumber": "12345678",
"firstName": "John",
"lastName": "Doe",
"phone": "+573001234567",
"city": "Bogotá",
"state": "Cundinamarca",
"address": "Calle 123 #45-67",
"country": "CO",
"type": "individual"
}
}
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payouts', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
onBehalfOf: "123",
amount: 1000,
source: {
paymentRail: "stellar",
currency: "usdc",
address: "123123"
},
deductFromBalance: true,
quoteId: "efaaf971-6d8b-4f36-be36-187c9f68fc06",
destination: {
type: "crypto_wallet",
currency: "usdc",
details: {
chain: "stellar",
address: "GCFXIZY4K5",
memo: "123123"
}
}
})
});
{
"success": true,
"id": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1"
}
Payouts
Create Payout
This endpoint allows to initiate a payout process
POST
/
v1
/
payouts
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/v1/payouts' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"onBehalfOf": "123",
"amount": 1000,
"source": {
"paymentRail": "stellar",
"currency": "usdc",
"address": "123123"
},
"deductFromBalance": true,
"quoteId": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
"destination": {
"type": "bank",
"currency": "cop",
"details": {
"country": "CO",
"accountType": "savings",
"bankAccountNumber": "1234567890",
"bankCode": "876",
"beneficiary": {
"email": "beneficiary@example.com",
"documentType": "CC",
"documentNumber": "12345678",
"firstName": "John",
"lastName": "Doe",
"phone": "+573001234567",
"city": "Bogotá",
"state": "Cundinamarca",
"address": "Calle 123 #45-67",
"country": "CO",
"type": "individual"
}
}
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payouts', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
onBehalfOf: "123",
amount: 1000,
source: {
paymentRail: "stellar",
currency: "usdc",
address: "123123"
},
deductFromBalance: true,
quoteId: "efaaf971-6d8b-4f36-be36-187c9f68fc06",
destination: {
type: "crypto_wallet",
currency: "usdc",
details: {
chain: "stellar",
address: "GCFXIZY4K5",
memo: "123123"
}
}
})
});
{
"success": true,
"id": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1"
}
Body
string
required
The identifier of the user or entity on whose behalf the payout is being made
number
Amount to send in the source currency
object
boolean
required
Whether to deduct the amount from the account balance
string
Optional quote ID to use for exchange rate calculation. If provided, the exchange rate from the quote will be used. If not provided, the exchange rate will be calculated on the fly.
object
required
Destination payment details. The structure depends on the destination type.
Show Destination object
Show Destination object
string
required
The destination type: “bank”, “crypto_wallet”, or “qr_code”
string
required
The destination currency
object
required
Destination-specific details based on the type
Show Bank destination details
Show Bank destination details
string
required
Country code (e.g., “CO”)
string
required
Type of bank account (e.g., “savings”)
string
required
Bank account number
string
required
Bank code
object
required
Beneficiary information
Show Beneficiary object
Show Beneficiary object
string
required
Beneficiary email address
string
required
Document type (e.g., “CC”)
string
required
Document number
string
required
First name
string
required
Last name
string
required
Phone number
string
required
City
string
required
State
string
required
Address
string
required
Country code
string
required
Beneficiary type
Show Crypto wallet destination details
Show Crypto wallet destination details
Show QR code id
Show QR code id
string
required
QR code id obtained during the preview process
Response
boolean
Indicates whether the call was successful.
string
The id of the payout process. Use this id to check the status of the
process
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/v1/payouts' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"onBehalfOf": "123",
"amount": 1000,
"source": {
"paymentRail": "stellar",
"currency": "usdc",
"address": "123123"
},
"deductFromBalance": true,
"quoteId": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
"destination": {
"type": "bank",
"currency": "cop",
"details": {
"country": "CO",
"accountType": "savings",
"bankAccountNumber": "1234567890",
"bankCode": "876",
"beneficiary": {
"email": "beneficiary@example.com",
"documentType": "CC",
"documentNumber": "12345678",
"firstName": "John",
"lastName": "Doe",
"phone": "+573001234567",
"city": "Bogotá",
"state": "Cundinamarca",
"address": "Calle 123 #45-67",
"country": "CO",
"type": "individual"
}
}
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payouts', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
onBehalfOf: "123",
amount: 1000,
source: {
paymentRail: "stellar",
currency: "usdc",
address: "123123"
},
deductFromBalance: true,
quoteId: "efaaf971-6d8b-4f36-be36-187c9f68fc06",
destination: {
type: "crypto_wallet",
currency: "usdc",
details: {
chain: "stellar",
address: "GCFXIZY4K5",
memo: "123123"
}
}
})
});
{
"success": true,
"id": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1"
}
⌘I